{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:display_context",
    "cases": [
      {
        "when": [
          "gui",
          "ground",
          "fixed"
        ],
        "model": {
          "type": "minecraft:condition",
          "property": "minecraft:using_item",
          "on_true": {
            "type": "minecraft:range_dispatch",
            "property": "minecraft:crossbow/pull",
            "entries": [
              {
                "threshold": 0.58,
                "model": {
                  "type": "minecraft:model",
                  "model": "minecraft:item/crossbow_pulling_1"
                }
              },
              {
                "threshold": 0.58,
                "model": {
                  "type": "minecraft:model",
                  "model": "minecraft:item/crossbow_held_pulling_1"
                }
              },
              {
                "threshold": 1,
                "model": {
                  "type": "minecraft:model",
                  "model": "minecraft:item/crossbow_pulling_2"
                }
              },
              {
                "threshold": 1,
                "model": {
                  "type": "minecraft:model",
                  "model": "minecraft:item/crossbow_held_pulling_2"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "minecraft:item/crossbow_held_pulling_0"
            }
          },
          "on_false": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow"
          }
        }
      }
    ],
    "fallback": {
      "type": "minecraft:select",
      "property": "minecraft:charge_type",
      "cases": [
        {
          "when": "arrow",
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_arrow"
          }
        },
        {
          "when": "arrow",
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_held_arrow"
          }
        },
        {
          "when": "rocket",
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_firework"
          }
        },
        {
          "when": "rocket",
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_held_firework"
          }
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/crossbow_held"
      }
    }
  }
}